Bug 467844 - (cyberk) cluster-snmp : undefined symbol: _ZN17ClusterMonitoring7Cluster15runningServicesEv
cluster-snmp : undefined symbol: _ZN17ClusterMonitoring7Cluster15runningServi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: clustermon (Show other bugs)
5.2
x86_64 Linux
medium Severity high
: rc
: ---
Assigned To: Ryan McCabe
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 04:50 EDT by Gaetan QUENTIN
Modified: 2009-05-19 13:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 13:05:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaetan QUENTIN 2008-10-21 04:50:07 EDT
Description of problem:
When launching snmpd, with snmp-cluster support, it cannot load cluster-snmp library:

dlmod: dlmod_load_module RedHatCluster: /usr/lib64/cluster-snmp/libClusterMonitorSnmp.so
dlopen failed: /usr/lib64/cluster-snmp/libClusterMonitorSnmp.so: undefined symbol: _ZN17ClusterMonitoring7Cluster15runningServicesEv


Version-Release number of selected component (if applicable):

cluster-snmp-0.12.0-7.el5

And :
net-snmp-utils-5.3.1-24.el5_2.1
net-snmp-libs-5.3.1-24.el5_2.1
net-snmp-5.3.1-24.el5_2.1

How reproducible: every times /etc/init.d/snmpd is started

Steps to Reproduce:
1.in /etc/snmp/snmpd.conf, declare that:

dlmod RedHatCluster     /usr/lib64/cluster-snmp/libClusterMonitorSnmp.so
view    systemview      included        REDHAT-CLUSTER-MIB:RedHatCluster

2.in /etc/snmp/snmpd.options, declare that for debugging infos:

OPTIONS="-f -L -DnstAgentPluginObject,dlmod"

3. Launch snmpd:  /etc/init.d/snmpd start
  
Actual results:
With debug options (/etc/snmp/snmpd.options):

Starting snmpd: registered debug token nstAgentPluginObject, 1
registered debug token dlmod, 1
dlmod: register mib
dlmod: dlmod_path: /usr/lib64/snmp/dlmod
dlmod: dlmod_create_module
dlmod: dlmod_load_module RedHatCluster: /usr/lib64/cluster-snmp/libClusterMonitorSnmp.so
dlopen failed: /usr/lib64/cluster-snmp/libClusterMonitorSnmp.so: undefined symbol: _ZN17ClusterMonitoring7Cluster15runningServicesEv

Without debug options:

snmpd is launched, but cluster library not loaded, and snmpwalk show nothing about cluster.


Expected results:

snmpd should be lauched, and snmpwalk should show cluster informations.

Additional info:
Comment 1 Ryan McCabe 2008-11-03 13:39:24 EST
This is fixed in the next release. If you'd like to test out the packages, let me know.
Comment 2 Gaetan QUENTIN 2008-11-04 09:12:09 EST
(In reply to comment #1)
> This is fixed in the next release. If you'd like to test out the packages, let
> me know.

Hi,

 yes i need the package. How to test it?


Regards,
Gaetan.
Comment 3 Ryan McCabe 2008-11-04 11:45:43 EST
Could you try the packages at http://people.redhat.com/rmccabe/conga/rhel53 and let me know if they solve the problem for you?
Comment 4 Gaetan QUENTIN 2008-11-05 05:00:41 EST
Il loads fine now, but snmpget seems not working for rhCluster**:

snmpget -m ALL -v 2c -c myCom localhost rhcClusterName   :
             
REDHAT-CLUSTER-MIB::rhcClusterName = No Such Instance currently exists at this OID
Comment 5 Gaetan QUENTIN 2008-11-05 06:25:06 EST
snmpwalk -Of -Ob -m ALL -v 2c -c myCom localhost REDHAT-CLUSTER-MIB::RedHatCluster

.iso.org.dod.internet.private.enterprises.RedHat.RedHatCluster.rhcMIBInfo.rhcMIBVersion.0 = INTEGER: 1

what does that mean?
Comment 6 Jesse Gonzalez 2008-11-05 14:31:53 EST
Can you provide a 32 bit build for RHEL 5?
Comment 7 Alain RICHARD 2009-01-06 11:54:40 EST
I have got the same issue and I confirm that the  packages downloaded from http://people.redhat.com/rmccabe/conga/rhel53 have solved it.

Regards

Note You need to log in before you can comment on or make changes to this bug.